using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BasePanel : MonoBehaviour
{
    public bool IsOpened => gameObject.activeSelf;

    public void Open()
    {
        gameObject.SetActive(true);
        OnOpen();
    }

    protected virtual void OnOpen()
    {

    }

    public void Close()
    {
        gameObject.SetActive(false);
        OnClose();
    }

    protected virtual void OnClose()
    {

    }

    public void Focus(bool pFocus)
    {
        OnFocus(pFocus);
    }

    protected virtual void OnFocus(bool pFocus)
    {

    }
}